org.apache.poi.hslf.record

## Class SlideAtomLayout

- java.lang.Object
- - org.apache.poi.hslf.record.SlideAtomLayout

- All Implemented Interfaces:
    GenericRecord

      @Internal
      public class SlideAtomLayout
      extends java.lang.Object
      implements GenericRecord

  Holds the geometry of the Slide, and the ID of the placeholders on the slide. Embedded inside a SlideAtom is a SlideAtomLayout, without the usual record header. Since it's a fixed size and tied to the SlideAtom, we'll hold it here.

  This might eventually merged with the XSLF counterpart

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SlideAtomLayout.SlideLayoutType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SlideAtomLayout(byte[] data)` Create a new Embedded SSlideLayoutAtom, from 12 bytes of data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `SlideAtomLayout.SlideLayoutType` | `getGeometryType()` Retrieve the geometry type
    `void` | `setGeometryType(SlideAtomLayout.SlideLayoutType geom)` Set the geometry type
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### SlideAtomLayout

          public SlideAtomLayout(byte[] data)

      Create a new Embedded SSlideLayoutAtom, from 12 bytes of data

  - ### Method Detail

    - #### getGeometryType

          public SlideAtomLayout.SlideLayoutType getGeometryType()

      Retrieve the geometry type

    - #### setGeometryType

          public void setGeometryType(SlideAtomLayout.SlideLayoutType geom)

      Set the geometry type

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk. Skips the record header
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.